CREATE TABLE [consulenzaUnica].[dbo].[DettaglioOperazione] (
    [IdDettaglioOperazione] bigint NOT NULL,
    [chiaveProposta] bigint NOT NULL,
    [codTipoOperazione] varchar(2) NOT NULL,
    [chiavePosizionePtf] bigint NOT NULL,
    [chiavePosizionePro] bigint NOT NULL,
    [chiaveContratto] bigint NULL,
    [ctv] decimal(18,2) NULL,
    [ptfIniziale] decimal(18,2) NULL,
    [quantitaNominale] decimal(18,2) NULL,
    [ctvNonRappresentabile] decimal(18,2) NULL,
    [investi] decimal(18,2) NULL,
    [disinvesti] decimal(18,2) NULL,
    [rischioCredito] decimal(19,7) NULL,
    [rischioMercato] decimal(18,2) NULL,
    [copertura] decimal(18,2) NULL,
    [percOperazione] decimal(18,2) NULL,
    [gestPO] bit NULL,
    [relOperazione] varchar(10) NULL,
    [opEseguita] bit NULL,
    [posRiallocata] bit NULL,
    [nomeProgettoProp] varchar(512) NULL,
    [areaProp] varchar(512) NULL,
    [isAttivoRC] bit NULL,
    [PercAderenteDatore] decimal(5,2) NULL,
    [PercTFR] decimal(5,2) NULL,
    [PercAltraFormaPensionistica] decimal(5,2) NULL,
    [percAllocata] decimal(18,2) NULL,
    [ctvAllocato] decimal(18,2) NULL,
    [flagConsigliato] bit NULL,
    [TipoOperazioneTendenza] int NULL,
    [ImportoOperazioneTendenza] decimal(18,2) NULL,
    [isTendenza] bit NULL,
    [percentualeUlterioreLiquidita] decimal(18,2) NULL,
    [ulterioreLiquidita] decimal(18,2) NULL,
    [IdDettaglioOperazioneConversione] varchar(50) NULL,
    [durataPPV] varchar(20) NULL,
    [frequenzaPPV] varchar(20) NULL,
    [importoRata] decimal(18,2) NULL,
    [dataInizioPiano] datetime NULL,
    [dataFinePiano] datetime NULL,
    [isISelectList] bit NULL,
    [quantitaNominaleProposto] decimal(18,2) NULL,
    [dtDifferimento] datetime NULL,
    [primoVersamento] decimal(18,2) NULL,
    [versamentoStraordinario] decimal(18,2) NULL,
    [ratePrimoVersamento] int NULL,
    [tipoDurata] varchar(10) NULL,
    [durata] varchar(10) NULL,
    [frequenza] varchar(15) NULL,
    [valoreNominalePiano] decimal(18,2) NULL,
    [ctv8] decimal(18,8) NULL,
    [importo8] decimal(18,8) NULL,
    [isFondoConferito] bit NULL,
    [eseguitaManualmente] bit NULL,
    [opConferimento] bit NULL,
    [isDeroga] bit NULL,
    [importoConversioneProgrammata] decimal(18,2) NULL,
    [ctvSottoscrizione] decimal(18,2) NULL,
    [eseguitoCP] bit NULL,
    [isAumentoDiCapitale] bit NULL,
    [percentualeInv] decimal(18,2) NULL,
    [percentualeLiq] decimal(18,2) NULL,
    [flagRR] bit NULL,
    [flagVariazioneCondizioniPiano] bit NULL,
    [frequenzaVariata] varchar(10) NULL,
    [rataPianoVariata] decimal(18,2) NULL,
    [durataVariata] int NULL,
    [valoreNominalePianoVariata] decimal(18,2) NULL,
    [durataResidua] int NULL
);
GO

-- Popolamento tabella
-- INSERT INTO [consulenzaUnica].[dbo].[DettaglioOperazione]
-- SELECT * FROM [CONSUNI].[consulenzaUnica].[dbo].[DettaglioOperazione];
-- GO